View Issue Details

IDProjectCategoryView StatusLast Update
0016644Buildsyscommunity buildsyspublic2019-11-24 19:30
Reporterhrw 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Summary0016644: Installation of "centos-release-scl" ends with no valid repo
DescriptionAfter installation of "centos-release-scl" package there are two packages installed:

[root@965aa628cd7d /]# rpm -qa|grep scl
centos-release-scl-rh-2-3.el7.centos.noarch
centos-release-scl-2-3.el7.centos.noarch

"centos-release-scl-rh" is fine as there are proper directories on CentOS mirrors. But "centos-release-scl" one points into not-existing repository:

mirrorlist=http://mirrorlist.centos.org?arch=$basearch&release=7&repo=sclo-sclo

Can we get it fixed somehow?
Additional Information[root@965aa628cd7d /]# yum install centos-release-scl
Loaded plugins: fastestmirror, ovl
Loading mirror speeds from cached hostfile
 * base: mirror.freethought-internet.co.uk
 * extras: mirror.freethought-internet.co.uk
 * updates: mirror.freethought-internet.co.uk
Resolving Dependencies
--> Running transaction check
---> Package centos-release-scl.noarch 0:2-3.el7.centos will be installed
--> Processing Dependency: centos-release-scl-rh for package: centos-release-scl-2-3.el7.centos.noarch
--> Running transaction check
---> Package centos-release-scl-rh.noarch 0:2-3.el7.centos will be installed
--> Finished Dependency Resolution
                                                                                                                                                             
Dependencies Resolved
                                                                                                                                                             
==============================================================================
 Package Arch Version Repository Size
==============================================================================
Installing:
 centos-release-scl noarch 2-3.el7.centos extras 12 k
Installing for dependencies:
 centos-release-scl-rh noarch 2-3.el7.centos extras 12 k

Transaction Summary
==============================================================================
Install 1 Package (+1 Dependent package)
                                          
Total download size: 24 k
Installed size: 39 k
Is this ok [y/d/N]: y
Downloading packages:
(1/2): centos-release-scl-2-3.el7.centos.noarch.rpm | 12 kB 00:00
(2/2): centos-release-scl-rh-2-3.el7.centos.noarch.rpm | 12 kB 00:00
------------------------------------------------------------------------------
Total 273 kB/s | 24 kB 00:00
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : centos-release-scl-rh-2-3.el7.centos.noarch 1/2
  Installing : centos-release-scl-2-3.el7.centos.noarch 2/2
  Verifying : centos-release-scl-2-3.el7.centos.noarch 1/2
  Verifying : centos-release-scl-rh-2-3.el7.centos.noarch 2/2
                                                                               
Installed:
  centos-release-scl.noarch 0:2-3.el7.centos

Dependency Installed:
  centos-release-scl-rh.noarch 0:2-3.el7.centos
                                                         
Complete!
[root@965aa628cd7d /]# yum list kernel-devel
Loaded plugins: fastestmirror, ovl
Loading mirror speeds from cached hostfile
                                                                               
                   
 One of the configured repositories failed (Unknown),
 and yum doesn't have enough cached data to continue. At this point the only
 safe thing yum can do is fail. There are a few ways to work "fix" this:
                                                              
     1. Contact the upstream for the repository and get them to fix the problem.
                           
     2. Reconfigure the baseurl/etc. for the repository, to point to a working
        upstream. This is most often useful if you are using a newer
        distribution release than is supported by the repository (and the
        packages for the previous distribution release still work).
  
     3. Run the command with the repository temporarily disabled
            yum --disablerepo=<repoid> ...
                      
     4. Disable the repository permanently, so yum won't use it by default. Yum
        will then just ignore the repository until you permanently enable it
        again or use --enablerepo for temporary usage:
                           
            yum-config-manager --disable <repoid>
        or
            subscription-manager repos --disable=<repoid>
                                                                         
     5. Configure the failing repository to be skipped, if it is unavailable.
        Note that yum will try to contact the repo. when it runs most commands,
        so will have to try and fail each time (and thus. yum will be be much
        slower). If it is a very temporary problem though, this is often a nice
        compromise:
                                                                         
            yum-config-manager --save --setopt=<repoid>.skip_if_unavailable=true
                                                                              
Cannot find a valid baseurl for repo: centos-sclo-sclo/aarch64
TagsNo tags attached.

Relationships

related to 0016651 newalphacc Nw collection: sclo-php73 

Activities

alphacc

alphacc

2019-10-24 14:17

developer   ~0035570

Last edited: 2019-10-24 14:17

View 2 revisions

Hi hrw,

I can't reproduce.

What http://mirrorlist.centos.org/?arch=x86_64&release=7&repo=sclo-sclo return from your server ? [1]

Thomas

[1] mine :
http://miroir.univ-paris13.fr/centos/7.7.1908/sclo/x86_64/sclo/
http://mir01.syntis.net/CentOS/7.7.1908/sclo/x86_64/sclo/
http://centos.quelquesmots.fr/7.7.1908/sclo/x86_64/sclo/
http://centos.mirrors.ovh.net/ftp.centos.org/7.7.1908/sclo/x86_64/sclo/
http://centos.mirrors.proxad.net/7.7.1908/sclo/x86_64/sclo/
http://mirrors.ircam.fr/pub/CentOS/7.7.1908/sclo/x86_64/sclo/
http://distrib-coffee.ipsl.jussieu.fr/pub/linux/centos/7.7.1908/sclo/x86_64/sclo/
http://fr2.rpmfind.net/linux/centos/7.7.1908/sclo/x86_64/sclo/
http://mirrors.atosworldline.com/public/centos/7.7.1908/sclo/x86_64/sclo/
http://centos.mirror.ate.info/7.7.1908/sclo/x86_64/sclo/

hrw

hrw

2019-10-24 14:22

reporter   ~0035571

not x86-64. aarch64!

[root@ee768b94ae94 /]# curl "http://mirrorlist.centos.org?arch=aarch64&release=7&repo=sclo-sclo"
Invalid release/repo/arch combination
hrw

hrw

2019-10-24 14:23

reporter   ~0035572

Sorry, reported it late in the evening and now I see that I forgot to add architecture part.
arrfab

arrfab

2019-10-25 10:51

administrator   ~0035576

mirrorlist auto-detects released/pushed content to mirror.centos.org and also then on external mirrors.
But maybe *nothing* was ever pushed for sclo ? (only rh is there) :
http://mirror.centos.org/altarch/7/sclo/aarch64/
Same for ppc64le : http://mirror.centos.org/altarch/7/sclo/ppc64le/

but for x86_64 :
http://mirror.centos.org/centos/7/sclo/x86_64/

So worth asking the SCLos guys if they ever tagged anything for altarch for sclo (as obviously they asked for sclo-rh)
arrfab

arrfab

2019-10-25 10:53

administrator   ~0035577

Just adding that they never asked it seems (no PR for altarch) :
https://git.centos.org/centos/cbs-content-control/blob/master/f/sign_list.aarch64#_10
https://git.centos.org/centos/cbs-content-control/blob/master/f/sign_list.ppc64le#_9

but it's there for x86_64 :
https://git.centos.org/centos/cbs-content-control/blob/master/f/sign_list#_27
hrw

hrw

2019-10-25 11:06

reporter   ~0035579

So maybe as there is no sclo-sclo repos then 'centos-release-scl' package should be dropped on altarch archs? Would make life easier.
arrfab

arrfab

2019-10-25 11:22

administrator   ~0035580

I just pinged some people in #centos-devel (from SCLo SIG) and they need to verify why they asked for -release but nothing to be pushed. Hopefully resolved soon (as soon as they'll have asked and something , and so repodata will be created/pushed by signing process)
hrw

hrw

2019-10-25 11:28

reporter   ~0035581

Thanks!
nqhaas

nqhaas

2019-11-24 19:30

reporter   ~0035747

Ran into this myself this weekend, it would be handy to have access to ppc64le builds of the software in this repository. If that isn't happening, would be nice to remove said packages that enable the repository to manage expectations. Output reproducing this issue in a ppc64le centos 7.7 container attached.

centos_bug_16644.txt (7,858 bytes)
$ docker run --rm -it ppc64le/centos:7
Unable to find image 'ppc64le/centos:7' locally
Trying to pull repository docker.io/ppc64le/centos ... 
7: Pulling from docker.io/ppc64le/centos
23bd9eb8fdc0: Pull complete 
Digest: sha256:4b8a19661b7d770bbab54747541812b581bfd4944ef64b58653d4fc77f3e1ebc
Status: Downloaded newer image for docker.io/ppc64le/centos:7
[root@d6db64b29d90 /]# uname -a
Linux d6db64b29d90 4.14.0-115.8.1.el7a.ppc64le #1 SMP Thu May 9 14:45:13 UTC 2019 ppc64le ppc64le ppc64le GNU/Linux
[root@d6db64b29d90 /]# cat /etc/redhat-release 
CentOS Linux release 7.7.1908 (AltArch)
[root@d6db64b29d90 /]# yum install -y centos-release-scl 
Loaded plugins: fastestmirror, ovl
Determining fastest mirrors
 * base: mirror.vcu.edu
 * extras: mirror.vcu.edu
 * updates: mirror.vcu.edu
base                                                                                                                               | 3.6 kB  00:00:00     
extras                                                                                                                             | 2.9 kB  00:00:00     
updates                                                                                                                            | 2.9 kB  00:00:00     
(1/4): extras/7/ppc64le/primary_db                                                                                                 | 136 kB  00:00:00     
(2/4): base/7/ppc64le/group_gz                                                                                                     | 165 kB  00:00:00     
(3/4): base/7/ppc64le/primary_db                                                                                                   | 4.8 MB  00:00:00     
(4/4): updates/7/ppc64le/primary_db                                                                                                | 3.7 MB  00:00:03     
Resolving Dependencies
--> Running transaction check
---> Package centos-release-scl.noarch 0:2-3.el7.centos will be installed
--> Processing Dependency: centos-release-scl-rh for package: centos-release-scl-2-3.el7.centos.noarch
--> Running transaction check
---> Package centos-release-scl-rh.noarch 0:2-3.el7.centos will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==========================================================================================================================================================
 Package                                       Arch                           Version                                Repository                      Size
==========================================================================================================================================================
Installing:
 centos-release-scl                            noarch                         2-3.el7.centos                         extras                          12 k
Installing for dependencies:
 centos-release-scl-rh                         noarch                         2-3.el7.centos                         extras                          12 k

Transaction Summary
==========================================================================================================================================================
Install  1 Package (+1 Dependent package)

Total download size: 24 k
Installed size: 39 k
Downloading packages:
warning: /var/cache/yum/ppc64le/7/extras/packages/centos-release-scl-2-3.el7.centos.noarch.rpm: Header V3 RSA/SHA256 Signature, key ID f4a80eb5: NOKEY
Public key for centos-release-scl-2-3.el7.centos.noarch.rpm is not installed
(1/2): centos-release-scl-2-3.el7.centos.noarch.rpm                                                                                |  12 kB  00:00:00     
(2/2): centos-release-scl-rh-2-3.el7.centos.noarch.rpm                                                                             |  12 kB  00:00:00     
----------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                     119 kB/s |  24 kB  00:00:00     
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-7
Importing GPG key 0xF4A80EB5:
 Userid     : "CentOS-7 Key (CentOS 7 Official Signing Key) <security@centos.org>"
 Fingerprint: 6341 ab27 53d7 8a78 a7c2 7bb1 24c6 a8a7 f4a8 0eb5
 Package    : centos-release-7-7.1908.0.el7.centos.ppc64le (@CentOS)
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-7
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-AltArch-7-ppc64le
Importing GPG key 0xF533F4FA:
 Userid     : "CentOS AltArch SIG - PowerPC (https://wiki.centos.org/SpecialInterestGroup/AltArch) <security@centos.org>"
 Fingerprint: bafa 3436 fc50 768e 3c3c 2e4e a963 bbdb f533 f4fa
 Package    : centos-release-7-7.1908.0.el7.centos.ppc64le (@CentOS)
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-AltArch-7-ppc64le
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : centos-release-scl-rh-2-3.el7.centos.noarch                                                                                            1/2 
  Installing : centos-release-scl-2-3.el7.centos.noarch                                                                                               2/2 
  Verifying  : centos-release-scl-2-3.el7.centos.noarch                                                                                               1/2 
  Verifying  : centos-release-scl-rh-2-3.el7.centos.noarch                                                                                            2/2 

Installed:
  centos-release-scl.noarch 0:2-3.el7.centos                                                                                                              

Dependency Installed:
  centos-release-scl-rh.noarch 0:2-3.el7.centos                                                                                                           

Complete!
[root@d6db64b29d90 /]# yum -v makecache            
Loading "fastestmirror" plugin
Loading "ovl" plugin
Config time: 0.011
rpmdb time: 0.001
ovl: Copying up (0) files from OverlayFS lower layer
Yum version: 3.4.3
Loading mirror speeds from cached hostfile


 One of the configured repositories failed (Unknown),
 and yum doesn't have enough cached data to continue. At this point the only
 safe thing yum can do is fail. There are a few ways to work "fix" this:

     1. Contact the upstream for the repository and get them to fix the problem.

     2. Reconfigure the baseurl/etc. for the repository, to point to a working
        upstream. This is most often useful if you are using a newer
        distribution release than is supported by the repository (and the
        packages for the previous distribution release still work).

     3. Run the command with the repository temporarily disabled
            yum --disablerepo=<repoid> ...

     4. Disable the repository permanently, so yum won't use it by default. Yum
        will then just ignore the repository until you permanently enable it
        again or use --enablerepo for temporary usage:

            yum-config-manager --disable <repoid>
        or
            subscription-manager repos --disable=<repoid>

     5. Configure the failing repository to be skipped, if it is unavailable.
        Note that yum will try to contact the repo. when it runs most commands,
        so will have to try and fail each time (and thus. yum will be be much
        slower). If it is a very temporary problem though, this is often a nice
        compromise:

            yum-config-manager --save --setopt=<repoid>.skip_if_unavailable=true

Cannot find a valid baseurl for repo: centos-sclo-sclo/ppc64le
centos_bug_16644.txt (7,858 bytes)

Issue History

Date Modified Username Field Change
2019-10-23 21:21 hrw New Issue
2019-10-24 14:17 alphacc Note Added: 0035570
2019-10-24 14:17 alphacc Note Edited: 0035570 View Revisions
2019-10-24 14:22 hrw Note Added: 0035571
2019-10-24 14:23 hrw Note Added: 0035572
2019-10-25 10:51 arrfab Note Added: 0035576
2019-10-25 10:53 arrfab Note Added: 0035577
2019-10-25 11:06 hrw Note Added: 0035579
2019-10-25 11:22 arrfab Note Added: 0035580
2019-10-25 11:28 hrw Note Added: 0035581
2019-10-25 11:42 arrfab Relationship added related to 0016651
2019-11-24 19:30 nqhaas File Added: centos_bug_16644.txt
2019-11-24 19:30 nqhaas Note Added: 0035747